<span class="title">Add Employee</span>
<mat-divider class="divider"></mat-divider>
<form class="form" (ngSubmit)="handleSave()">
    <div class="wrapper">
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Username</mat-label>
            <input matInput placeholder="Username" [formControl]="usernameFormControl" [errorStateMatcher]="matcher">
            @if (usernameFormControl.hasError('required')) {
            <mat-error>Username is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>First Name</mat-label>
            <input matInput placeholder="First Name" [formControl]="firstnameFormControl" [errorStateMatcher]="matcher">
            @if (firstnameFormControl.hasError('required')) {
            <mat-error>First Name is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Last Name</mat-label>
            <input matInput placeholder="Last Name" [formControl]="lastnameFormControl" [errorStateMatcher]="matcher">
            @if (lastnameFormControl.hasError('required')) {
            <mat-error>Last Name is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Ex. andry@example.com" type="email" [formControl]="emailFormControl"
                [errorStateMatcher]="matcher">
            @if (emailFormControl.hasError('email') && !emailFormControl.hasError('required')) {
            <mat-error>Please enter a valid email address</mat-error>
            }
            @if (emailFormControl.hasError('required')) {
            <mat-error>Email is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Birth Date</mat-label>
            <input matInput [matDatepicker]="picker" [formControl]="dateFormControl" [errorStateMatcher]="matcher"
                [matDatepickerFilter]="dateFilter">
            <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            @if (dateFormControl.hasError('required')) {
            <mat-error>Birth Date is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Basic Salary</mat-label>
            <input matInput placeholder="Basic Salary" type="number" [formControl]="basicSalaryFormControl"
                [errorStateMatcher]="matcher">
            @if (basicSalaryFormControl.hasError('required')) {
            <mat-error>Basic Salary is <strong>required</strong></mat-error>
            }
        </mat-form-field>
    </div>
    <div class="wrapper">
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Status</mat-label>
            <mat-select [formControl]="statusFormControl" [errorStateMatcher]="matcher">
                @for (status of status; track status) {
                <mat-option [value]="status.value">{{status.viewValue}}</mat-option>
                }
            </mat-select>
            @if (statusFormControl.hasError('required')) {
            <mat-error>Status is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Group</mat-label>
            <input type="text" placeholder="Pick one" aria-label="Group" matInput [formControl]="groupFormControl"
                [matAutocomplete]="auto">
            <mat-autocomplete #auto="matAutocomplete">
                @for (group of filteredOptions | async; track group) {
                <mat-option [value]="group">{{group}}</mat-option>
                }
            </mat-autocomplete>
            @if (groupFormControl.hasError('required')) {
            <mat-error>Group is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
            <mat-label>Description</mat-label>
            <input matInput placeholder="Description" [formControl]="descriptionFormControl"
                [errorStateMatcher]="matcher">
            @if (descriptionFormControl.hasError('required')) {
            <mat-error>Description is <strong>required</strong></mat-error>
            }
        </mat-form-field>
        <div class="button-container">
            <button mat-flat-button color="primary" type="submit">Save</button>
            <a (click)="handleBack()">Back To List</a>
        </div>
    </div>
</form>